# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Layout Class Reference

## Public Member Functions
void | addInstance (const std::string &name, const std::string &style)
| adds layout informations for a instance. More...
Node * | getHBTreeRoot ()
| returns the root of the placement tree associated to the layout.
const std::map< std::string, std::string > & | getInstances ()
| returns the map of Instances.
bool | hasNoInstance ()
| returns true if the layout has no Instance.
| Layout (Circuit *)
| creates a new layout. More...
void | setHBTreeRoot (Node *)
| sets the root of the placement tree associated to the layout. More...

## Detailed Description

This class describes layout informations for an Instance.

The Layout object is used to store all informations relative to physical layout of the instance (such as the layout style).

Note
  The Layout object is optionnal in Circuit.

## Constructor & Destructor Documentation

## ◆ Layout()

Layout | ( | Circuit * | circuit | ) |

creates a new layout.

Parameters

  circuit | the circuit to which the layout belongs.

## Member Function Documentation

## ◆ addInstance()

void addInstance | ( | const std::string & | name,
|  | const std::string & | style
| ) |  |

adds layout informations for a instance.

Parameters

  name | the instance's name to which the layout is associated.
  style | the layout style.

## ◆ setHBTreeRoot()

void setHBTreeRoot | ( | Node * | root | ) |
| inline

sets the root of the placement tree associated to the layout.

Parameters

  root | the root of the palcement tree.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved